# $Revision: 1.66.2.23 $, $Date: 2008-02-19 23:26:44 $
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	up		# don't build UP module
%bcond_without	smp		# don't build SMP module
%bcond_with	verbose		# verbose build (V=1)
%bcond_without	userspace	# don't build userspace tools

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		pname	shfs
Summary:	(Secure) SHell FileSystem utilities
Summary(pl):	Narzdzia obsugujce system plikw przez ssh
Name:		%{pname}%{_alt_kernel}
Version:	0.35
Release:	64
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/shfs/%{pname}-%{version}.tar.gz
# Source0-md5:	016f49d71bc32eee2b5d11fc1600cfbe
Patch0:		%{pname}-opt.patch
Patch1:		%{pname}-df.patch
Patch2:		%{pname}-space_chars.patch
Patch3:		%{pname}-uidgid32.patch
Patch4:		%{pname}-gcc4.patch
Patch5:		%{pname}-inode_oops.patch
Patch6:		%{pname}-d_entry.patch
Patch7:		%{pname}-shfs_get_sb.patch
URL:		http://shfs.sourceforge.net/
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.330
%endif
Obsoletes:	shfsmount
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SHFS is a simple and easy to use Linux kernel 2.4.10+ and 2.6 module
which allows you to mount remote filesystems using plain shell
(ssh/rsh) connection. It supports some nice features like number of
different caches for access speedup, target system optimisations, etc.

This package contains utilities for SHFS.

%description -l pl
SHFS to prosty i atwy w uyciu modu jdra Linuksa 2.4.10+ i 2.6
pozwalajcy montowa zdalne systemy plikw przy uyciu zwykego
poczenia ze zdaln powok (ssh lub rsh). Obsuguje pewne mie
cechy, takie jak rne sposoby buforowania dla przyspieszenia dostpu,
optymalizacje pod ktem zdalnego systemu itp.

Ten pakiet zawiera programy narzdziowe dla SHFS.

%package -n kernel%{_alt_kernel}-fs-shfs
Summary:	SHell File System Linux kernel module
Summary(pl):	Modu jdra Linuksa obsugujcy powokowy system plikw
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod
%if "%{_alt_kernel}" == "%{nil}"
Obsoletes:	kernel-misc-shfs
%endif

%description -n kernel%{_alt_kernel}-fs-shfs
SHell File System Linux kernel module.

%description -n kernel%{_alt_kernel}-fs-shfs -l pl
Modu jdra Linuksa obsugujcy powokowy system plikw.

%package -n kernel%{_alt_kernel}-smp-fs-shfs
Summary:	SHell File System Linux SMP kernel module
Summary(pl):	Modu jdra Linuksa SMP obsugujcy powokowy system plikw
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod
%if "%{_alt_kernel}" == "%{nil}"
Obsoletes:	kernel-smp-misc-shfs
%endif

%description -n kernel%{_alt_kernel}-fs-shfs
SHell File System Linux kernel module.

%description -n kernel%{_alt_kernel}-smp-fs-shfs -l pl
Modu jdra Linuksa obsugujcy powokowy system plikw.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

cat > shfs/Linux-2.6/Makefile <<'EOF'
obj-m := shfs.o
shfs-objs := dcache.o dir.o fcache.o file.o inode.o \
		ioctl.o proc.o shell.o symlink.o
EOF

%build
%if %{with kernel}
%build_kernel_modules -C shfs/Linux-2.6 -m shfs
%endif

%if %{with userspace}
%{__make} -C shfsmount \
	SHFS_VERSION="\"%{version}\"" \
	CC="%{__cc} %{rpmcflags}" \
	LINKER="%{__cc}"	\
	LDFLAGS="%{rpmldflags}"
%{__make} docs
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with kernel}
%install_kernel_modules -m shfs/Linux-2.6/shfs -d kernel/fs/shfs
%endif

%if %{with userspace}
%{__make} utils-install docs-install \
	ROOT=$RPM_BUILD_ROOT \
	MAN_PAGE_DIR=%{_mandir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-fs-shfs
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-fs-shfs
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-smp-fs-shfs
%depmod %{_kernel_ver}smp

%postun -n kernel%{_alt_kernel}-smp-fs-shfs
%depmod %{_kernel_ver}smp

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc COPYRIGHT Changelog TODO docs/html
%attr(4754,root,wheel) %{_bindir}/shfsmount
%attr(4754,root,wheel) %{_bindir}/shfsumount
%attr(755,root,root) /sbin/*
%{_mandir}/man8/*
%endif

%if %{with kernel}
%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-fs-shfs
%defattr(644,root,root,755)
%dir /lib/modules/%{_kernel_ver}/kernel/fs/shfs
/lib/modules/%{_kernel_ver}/kernel/fs/shfs/shfs.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-fs-shfs
%defattr(644,root,root,755)
%dir /lib/modules/%{_kernel_ver}smp/kernel/fs/shfs
/lib/modules/%{_kernel_ver}smp/kernel/fs/shfs/shfs.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: shfs.spec,v $
Revision 1.66.2.23  2008-02-19 23:26:44  glen
- release 64

Revision 1.66.2.22  2008-02-15 11:30:24  glen
- no deps to kernel space from user

Revision 1.66.2.21  2008-02-15 01:29:34  glen
- use kernel vermagic in deps

Revision 1.66.2.20  2008-02-12 11:01:11  glen
- release 61 (kernel-2.6.16.60-4)

Revision 1.66.2.19  2008-01-28 09:33:20  glen
- rel 60 (kernel-2.6.16.60-1)

Revision 1.66.2.18  2008-01-21 08:28:15  glen
- rel 59 (2.6.16.59-2)

Revision 1.66.2.17  2008-01-18 12:26:09  glen
- rel 58 (2.6.16.58-1)

Revision 1.66.2.16  2007/11/06 18:28:31  glen
- rel 57 (2.6.16.57-1)

Revision 1.66.2.15  2007/11/04 20:22:05  glen
- prefix src package with alt kernel if present

Revision 1.66.2.14  2007/11/01 08:24:18  adamg
- release 56 (rebuild against 2.6.16.56-1)

Revision 1.66.2.13  2007/10/22 20:41:53  glen
- disable userspace for alt kernel

Revision 1.66.2.12  2007/10/22 20:24:59  glen
- unify kernel macros

Revision 1.66.2.11  2007/10/15 08:26:44  glen
- rel 55 (kernel 2.6.16.55)

Revision 1.66.2.10  2007/10/15 08:21:38  glen
- rel drbd.spec (2.6.16.55)

Revision 1.66.2.9  2007/10/01 21:25:45  glen
- rel 54

Revision 1.66.2.8  2007/09/30 22:17:50  adamg
- release 53.1 (rebuild against 2.6.16.53-2)

Revision 1.66.2.7  2007/09/05 19:30:12  glen
- rel 53 (kernel 2.6.16.53)

Revision 1.66.2.6  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.66.2.5  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.66.2.4  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.66.2.3  2007/04/25 22:11:20  glen
- rel 22 (kernel 2.6.16.49)

Revision 1.66.2.2  2007/03/27 22:17:47  glen
- rel 21 (kernel 2.6.16.45)

Revision 1.66.2.1  2007/03/15 23:15:51  glen
- rel 20

Revision 1.66  2006/12/10 12:06:42  adamg
- fix build on kernels >= 2.6.18
- release 19

Revision 1.65  2006/12/08 12:59:50  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 18

Revision 1.64  2006/11/23 10:39:56  hawk
- release 17

Revision 1.63  2006/11/14 20:36:22  sparky
- BR: rpmbuild(macros) >= 1.330 -- build_kernel_modules fix for kernels 2.6.18

Revision 1.62  2006/11/12 21:19:50  sparky
- don't use cd shfs/Linux-2.6

Revision 1.61  2006/11/11 14:59:34  sparky
- %{_alt_kernel} support
- Require/Provide: kernel(shfs), not kernel-fs-shfs
- use %build_kernel_modules, %install_kernel_modules macros

Revision 1.60  2006/09/06 13:36:13  sparky
- -j1 for make scripts

Revision 1.59  2006/08/12 18:14:35  ankry
- formatting

Revision 1.58  2006/07/02 15:36:29  hawk
- release 16

Revision 1.57  2006/05/10 13:39:00  japhy
- Adapt to adjusted d_entry patch

Revision 1.56  2006/05/08 15:34:58  japhy
- rel up

Revision 1.55  2006/05/08 15:34:00  japhy
- Patch6: to compile with 2.6.16

Revision 1.54  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.53  2006/03/17 22:03:17  glen
- rel 14

Revision 1.52  2006/03/11 12:24:47  arekm
- rel 13

Revision 1.51  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.50  2006/02/11 13:54:25  arekm
- rel 12

Revision 1.49  2006/01/26 10:02:29  arekm
- rel 11

Revision 1.48  2006/01/19 21:29:58  sparky
- there is no OPT option anymore, specify CC="%{__cc} %{rpmcflags}"

Revision 1.47  2006/01/12 18:24:27  arekm
- undefine smp for sparc

Revision 1.46  2006/01/12 18:23:44  arekm
- rel 10

Revision 1.45  2005/12/10 15:03:27  qboosh
- no more sparc->sparc64

Revision 1.44  2005/12/10 13:02:52  pluto
- kernel oops fixed, spaces -> tab, release 9.

Revision 1.43  2005/11/13 02:15:15  sparky
- if there is no asm-powerpc link asm-ppc !
- spaces->tabs

Revision 1.42  2005/11/12 10:54:36  arekm
- rel 8

Revision 1.41  2005/11/12 01:23:44  arekm
- nfy

Revision 1.40  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.39  2005/05/30 16:43:32  blues
- release 7 - rebuild with new kernel

Revision 1.38  2005/04/15 16:16:59  blues
- release 6 - STBR (maybe now it'll work...)

Revision 1.37  2005/03/16 18:05:30  pluto
- patchset added.
- release 5.

Revision 1.36  2005/03/13 22:55:45  blues
- TODO added

Revision 1.35  2004/10/31 17:00:40  paladine
- spaces->tabs
- formatting

Revision 1.34  2004/10/13 18:48:02  ankry
- rel. 4

Revision 1.33  2004/09/22 13:19:47  ankry
- rel. 3

Revision 1.32  2004/08/03 12:17:43  krzak
- Requires:   kernel-fs-shfs with dist_kernel

Revision 1.31  2004/08/03 10:38:41  krzak
- Requires: kernel-fs-shfs for userspace tools.

Revision 1.30  2004/06/19 13:02:10  areq
- description update - Linux kernel 2.4.10+ and 2.6

Revision 1.29  2004/06/19 12:50:11  pluto
- perms fixed.

Revision 1.28  2004/06/18 13:58:37  pluto
- suid added (it allows to mount remote fs from non-root user).

Revision 1.27  2004/06/18 13:46:28  pluto
- `df` fixed.

Revision 1.26  2004/06/10 14:03:34  arekm
- drop that ugly requires

Revision 1.25  2004/06/10 13:37:09  pluto
- create makefile before do `make sth`.
- R:, P:, O:, version def.
- release 2.

Revision 1.24  2004/06/10 13:16:15  arekm
- builds

Revision 1.23  2004/06/10 12:56:12  pluto
- updated to 0.35.

Revision 1.22  2004/06/10 11:54:34  pluto
- strict BR:

Revision 1.21  2004/06/01 08:00:33  pluto
- directories included into %files.

Revision 1.20  2004/05/28 22:11:04  pluto
- updated to 0.34.
- 2.6.7 complaint.

Revision 1.19  2004/05/21 11:20:16  pluto
- release 2.

Revision 1.18  2004/05/21 11:00:12  pluto
- 2.6.6 complaint.
- DO NOT TOUCH ifs !

Revision 1.17  2004/05/13 11:57:49  pluto
- s/dist_files/dist_kernel/

Revision 1.16  2004/05/09 20:39:04  blues
- release 1.2

Revision 1.15  2004/05/09 20:20:03  blues
- remove nested ifs.

Revision 1.14  2004/04/29 18:27:20  pluto
- 2.6.5 fixes.

Revision 1.13  2004/04/06 17:07:27  qboosh
- don't require kernel in userspace package; added _without_userspace

Revision 1.12  2004/04/06 11:54:23  pluto
- updated to 0.33.

Revision 1.11  2003/12/19 17:49:44  eothane
- %bcond_with new_bconds
- changed dl.sf.net to dl.sourceforge.net (SourceN:)

Revision 1.10  2003/11/04 19:52:20  wolf
- 0.32

Revision 1.9  2003/10/31 17:59:33  wolf
- pre2

Revision 1.8  2003/08/12 17:42:02  qboosh
- base Obsoletes: shfsmount

Revision 1.7  2003/08/12 14:49:33  qboosh
- added opt patch, merged modules building from kernel-misc-shfs.spec

Revision 1.6  2003/08/11 21:18:49  ankry
- cosmetics

Revision 1.5  2003/08/11 20:27:06  serek
- next steps.

Revision 1.4  2003/08/09 19:44:24  serek
- man pages in.

Revision 1.3  2003/08/09 19:35:40  serek
- kernel module out.

Revision 1.2  2003/08/09 16:23:56  ankry
- adapterized

Revision 1.1  2003/08/09 15:51:36  serek
- neu - todo: to follow kernel version...
